.m-cta {

  background-color: var(--wp--preset--color--primary);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
  border-radius: 20px;
  overflow: hidden;



  &::after {
    content: "";
    position: absolute;
    inset: 0;
    background-color: var(--wp--preset--color--primary);
    opacity: 0.5;
  }

  .m-cta__wrapper {
    position: relative;
    z-index: 1;
    padding: var(--wp--preset--spacing--x-large);
    margin: 0 auto 0 0;
    max-width: 70%;

    @media(width < 768px) {
      max-width: inherit;
      padding: var(--wp--preset--spacing--medium);
    }
  }

  .m-cta__titre {
    margin: 0 0 20px 0;
  }

  .m-cta__texte {
    margin: 2em 0;
  }

  .m-cta__lien {}


  &.alignfull {
    border-radius: 0;

    .m-cta__wrapper {
      max-width: 60%;
      margin: 0 auto;
      text-align: center;
    }
  }


  &:not(.alignfull):not(.alignwide) {
    .m-cta__wrapper {
      max-width: inherit;
      padding: var(--wp--preset--spacing--medium);
    }
  }

  &.is-style-centre {
    text-align: center;

    .m-cta__wrapper {
      margin: 0 auto;
    }
  }

  &.has-background {
    &::after {
      display: none;
    }

  }

  &.has-text-color {
    .is-style-outline {
      border-color: inherit;
      color: inherit;

      &:hover {
        border-color: var(--wp--preset--color--main);
        color: var(--wp--preset--color--main);
      }
    }
  }

}